import os
from pydantic import BaseSettings
from dotenv import load_dotenv

load_dotenv()

class Settings(BaseSettings):
    APP_NAME: str = "Todo API"
    DATABASE_URL: str = os.getenv("DATABASE_URL", "sqlite:///./todo.db")
    API_V1_STR: str = "/api/v1"

settings = Settings()